FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 01-08-2012, 10:52 AM
Allan McRae
 
Default makepkg: simplify source archive generation

Simplify the source tarball generation by unifying the handling of
local and remote files. This also allows local files to be found
in $SRCDEST (FS#26580) and makepkg will abort on missing local source
files (only possible to trigger in combination with --skipinteg).

Signed-off-by: Allan McRae <allan@archlinux.org>
---
scripts/makepkg.sh.in | 8 +++-----
1 files changed, 3 insertions(+), 5 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 769bec7..b06c78a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1348,11 +1348,9 @@ create_srcpackage() {

local file
for file in "${source[@]}"; do
- if [[ -f $file ]]; then
- msg2 "$(gettext "Adding %s...")" "$file"
- ln -s "${startdir}/$file" "$srclinks/$pkgbase"
- elif (( SOURCEONLY == 2 )); then
- local absfile=$(get_filepath "$file") || missing_source_file "$file"
+ if [[ "$file" == $(get_filename "$file") ]] || (( SOURCEONLY == 2 )); then
+ local absfile
+ absfile=$(get_filepath "$file") || missing_source_file "$file"
msg2 "$(gettext "Adding %s...")" "${absfile##*/}"
ln -s "$absfile" "$srclinks/$pkgbase"
fi
--
1.7.8.1
 

Thread Tools




All times are GMT. The time now is 09:39 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org